## edu.stanford.nlp.objectbank
Interface IteratorFromReaderFactory<T>

All Known Subinterfaces:
  TokenizerFactory<T>

All Known Implementing Classes:
  ArabicTokenizer.ArabicTokenizerFactory, LineIterator.LineIteratorFactory, PTBTokenizer.PTBTokenizerFactory, TreeTokenizerFactory, WhitespaceTokenizer.WhitespaceTokenizerFactory

    public interface IteratorFromReaderFactory<T>

An IteratorFromReaderFactory is used to convert a java.io.Reader into an Iterator over the Objects of type T represented by the text in the java.io.Reader.

Author:
  Jenny Finkel

Method Summary
`Iterator<T>` `getIterator(Reader r)` Return an iterator over the contents read from r.

Method Detail

### getIterator

    Iterator<T> getIterator(Reader r)

  Return an iterator over the contents read from r.

  Parameters:
    `r` - Where to read objects from
  Returns:
    An Iterator over the objects

Stanford NLP Group